﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals

End Sub

Sub Globals
	Private SimpleExoPlayerView1 As SimpleExoPlayerView
	Private Player2 As SimpleExoPlayer
	
	Private lblExitFullScreen As B4XView
	Private lblName As Label
	Private lblNext As Label
	Private lblPrevious As Label
	Private pnlControl As Panel
	private mp As B4XPage3
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("FullScreen")
	
	If B4XPages.IsInitialized = False Then
		StartActivity(Main)
		Activity.Finish
		Return
	End If
	
	Player2.Initialize("player")
	
	SwitchTargetPlayerView(True)
	Player2 = mp.Player

	'B4XPages.MainPage.Page3.PutLabelInVideoTopRightCorner(SimpleExoPlayerView1, lblExitFullScreen)
	
'	Dim jo As JavaObject = SimpleExoPlayerView1
'	Dim event As Object = jo.CreateEventFromUI("com/google/android/exoplayer2/ui/PlayerControlView.VisibilityListener".Replace("/", "."), "VisibilityChange", Null)
'	jo.RunMethod("setControllerVisibilityListener", Array(event))
End Sub

Private Sub SwitchTargetPlayerView(FullScreenIsDestination As Boolean)
    mp = B4XPages.GetPage("Media Player")
  
    Dim jo As JavaObject
    Dim Player As Object = mp.Player.As(JavaObject).GetField("player")
    jo.InitializeStatic("androidx.media3.ui.PlayerView")
    jo.RunMethod("switchTargetView", Array(Player, IIf(FullScreenIsDestination, mp.SimpleExoPlayerView1, SimpleExoPlayerView1), IIf(FullScreenIsDestination, SimpleExoPlayerView1, mp.SimpleExoPlayerView1)))
End Sub
Sub Activity_Resume
	lblName.Text = B4XPages.MainPage.Page3.SelectedChannelName
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	SwitchTargetPlayerView(False)
End Sub

Private Sub lblExitFullScreen_Click
	Activity.Finish
End Sub
Private Sub lblPrevious_Click
	Dim GetChannel As Int = B4XPages.MainPage.Page3.SelecteChannelNumberIndex
	
	If GetChannel > 0 Then 
		GetChannel = GetChannel - 1
		
		Dim GetChannelName As String = B4XPages.MainPage.Page2.MyM3UFileParsed.ChannelName.Get(GetChannel)
		Dim url As String = B4XPages.MainPage.Page2.MyM3UFileParsed.SecondLineData.Get(GetChannel)
		
		B4XPages.MainPage.Page3.SelectedChannelName = GetChannelName
		B4XPages.MainPage.Page3.SelecteChannelNumberIndex = GetChannel

		lblName.text = GetChannelName 'Label in control (update channel name)
		
		Player2.Prepare(Player2.CreateHLSSource(url))
		Player2.Play
	Else
		ToastMessageShow("This is first Channel", False)
	End If
End Sub
Private Sub lblNext_Click
	Dim GetTotalChannelIndex As Int = B4XPages.MainPage.Page2.MyM3UFileParsed.ChannelName.Size - 1
	Dim GetChannel As Int = B4XPages.MainPage.Page3.SelecteChannelNumberIndex
	
	If GetChannel < GetTotalChannelIndex Then
		GetChannel = GetChannel + 1
		
		Dim GetChannelName As String = B4XPages.MainPage.Page2.MyM3UFileParsed.ChannelName.Get(GetChannel)
		Dim url As String = B4XPages.MainPage.Page2.MyM3UFileParsed.SecondLineData.Get(GetChannel)
		
		B4XPages.MainPage.Page3.SelectedChannelName = GetChannelName
		B4XPages.MainPage.Page3.SelecteChannelNumberIndex = GetChannel

		lblName.text = GetChannelName
		
		Player2.Prepare(Player2.CreateHLSSource(url))
		Player2.Play
	Else
		ToastMessageShow("This is Last Channel", False)
	End If
End Sub

Sub VisibilityChange_Event (MethodName As String, Args() As Object) As Object
	Dim IsVisible As Boolean = 0 = Args(0)
	Log("Visible: " & IsVisible)
	Return Null
End Sub